// DFPGEPropPage.cpp : Implementation of the CDFPGEPropPage property page class.

#include "stdafx.h"
#include "DFPGE.h"
#include "DFPGEPropPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


IMPLEMENT_DYNCREATE(CDFPGEPropPage, COlePropertyPage)



// Message map

BEGIN_MESSAGE_MAP(CDFPGEPropPage, COlePropertyPage)
END_MESSAGE_MAP()



// Initialize class factory and guid

IMPLEMENT_OLECREATE_EX(CDFPGEPropPage, "DFPGE.DFPGEPropPage.1",
	0xaead0519, 0xb657, 0x4a72, 0x87, 0x31, 0xe2, 0xab, 0xff, 0x5f, 0x20, 0x60)



// CDFPGEPropPage::CDFPGEPropPageFactory::UpdateRegistry -
// Adds or removes system registry entries for CDFPGEPropPage

BOOL CDFPGEPropPage::CDFPGEPropPageFactory::UpdateRegistry(BOOL bRegister)
{
	if (bRegister)
		return AfxOleRegisterPropertyPageClass(AfxGetInstanceHandle(),
			m_clsid, IDS_DFPGE_PPG);
	else
		return AfxOleUnregisterClass(m_clsid, NULL);
}



// CDFPGEPropPage::CDFPGEPropPage - Constructor

CDFPGEPropPage::CDFPGEPropPage() :
	COlePropertyPage(IDD, IDS_DFPGE_PPG_CAPTION)
{
}



// CDFPGEPropPage::DoDataExchange - Moves data between page and properties

void CDFPGEPropPage::DoDataExchange(CDataExchange* pDX)
{
	DDP_PostProcessing(pDX);
}



// CDFPGEPropPage message handlers
